
From: Kumar Gala <galak@freescale.com>

Patch fixes a typo in the emulation of load/store string emulations pointed
out by Segher Boessenkool.

Signed-off-by: Kumar Gala <kumar.gala@freescale.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc/kernel/traps.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/ppc/kernel/traps.c~ppc32-typo-fix-in-load-store-string-emulation arch/ppc/kernel/traps.c
--- 25/arch/ppc/kernel/traps.c~ppc32-typo-fix-in-load-store-string-emulation	2005-03-21 21:49:35.000000000 -0800
+++ 25-akpm/arch/ppc/kernel/traps.c	2005-03-21 21:49:35.000000000 -0800
@@ -412,7 +412,7 @@ static int emulate_string_inst(struct pt
 			return -EINVAL;
 
 	/* Early out if we are an invalid form of lswi */
-	if ((instword & INST_STRING_MASK) == INST_LSWX)
+	if ((instword & INST_STRING_MASK) == INST_LSWI)
 		if ((rA >= rT) || (rT == rA))
 			return -EINVAL;
 
_
